import subprocess
import sys

def main(output_file):
    # Ejecutar el comando `listHardwareInfo.py` y capturar el resultado
    result = subprocess.run(["python3", "/opt/opengnsys/scripts/listHardwareInfo.py"], capture_output=True, text=True, check=True)
    file_path = result.stdout.strip()  # Obtener la ruta del archivo de salida de `listHardwareInfo.py`

    # Leer desde la segunda línea del archivo y escribir en el archivo de salida especificado
    with open(file_path, 'r') as input_file, open(output_file, 'w') as output:
        lines = input_file.readlines()[1:]  # Saltar la primera línea
        output.writelines(lines)

if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Uso: python3 InventarioHardware.py <archivo_salida>")
        sys.exit(1)
    main(sys.argv[1])
